Package com.collibra.dgc.core.api.dto.instance.issue

# Enum Class FindIssuesRequest.IssueUserRelation

Object
Enum<FindIssuesRequest.IssueUserRelation>
IssueUserRelation

All Implemented Interfaces:
  `Serializable`, `Comparable<FindIssuesRequest.IssueUserRelation>`, `Constable`

Enclosing class:
  `FindIssuesRequest`

public static enum FindIssuesRequest.IssueUserRelation extends Enum<FindIssuesRequest.IssueUserRelation>
This enum identifies what the relation of the current user is with the issues to be retrieved.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  Return ALL the issues.
  `ASSIGNED`
  Return only issues assigned to the current user.
  `CREATED`
  Return only issues the current user created.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindIssuesRequest.IssueUserRelation`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FindIssuesRequest.IssueUserRelation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final FindIssuesRequest.IssueUserRelation ALL
    Return ALL the issues.

  - ### ASSIGNED

    public static final FindIssuesRequest.IssueUserRelation ASSIGNED
    Return only issues assigned to the current user. This means that a user is a reviewer or a assignee of the issue.

  - ### CREATED

    public static final FindIssuesRequest.IssueUserRelation CREATED
    Return only issues the current user created. This means that a user is a requester of the issue.

- ## Method Details

  - ### values

    public static FindIssuesRequest.IssueUserRelation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FindIssuesRequest.IssueUserRelation valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null